edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.contextual

## Class DefaultContextualSmoother

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.contextual.AbstractContextualSmoother
    - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.contextual.AdditiveContextualSmoother
      - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.contextual.DefaultContextualSmoother

- All Implemented Interfaces:
    ContextualSmoother, UsesLogger

      public class DefaultContextualSmoother
      extends AdditiveContextualSmoother
      implements ContextualSmoother

  Default contextual smoother.

  The default contextual smoother is an additive smoother which uses 0.001 as the additive smoothing constant.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.contextual.AdditiveContextualSmoother

      `additiveAdjustmentValue`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.contextual.AbstractContextualSmoother

      `cachedContextualProbabilities, logger, partOfSpeechTagger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultContextualSmoother()` Create an additive contextual smoother.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.contextual.AdditiveContextualSmoother

      `contextualProbability, contextualProbability, getAdditiveAdjustmentValue, setAdditiveAdjustmentValue, setPartOfSpeechTagger, toString`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.contextual.AbstractContextualSmoother

      `cachedProbabilitiesCount, clearCachedProbabilities, getLogger, setLogger`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.contextual.ContextualSmoother

      `cachedProbabilitiesCount, clearCachedProbabilities, contextualProbability, contextualProbability, setPartOfSpeechTagger`

- - ### Constructor Detail

    - #### DefaultContextualSmoother

          public DefaultContextualSmoother()

      Create an additive contextual smoother.